OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000833OMNeT++simulation kernelpublic2015-09-14 12:032017-02-01 15:09
Reporterandras 
Assigned Toandras 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.6 
Target VersionFixed in Version5.1pre3 
Summary0000833: No way to specify system module for cModule::getModuleByPath()
DescriptioncModule::getModuleByPath(const char *path) has no syntax to refer to the root module (without explicitly specifying its name). For "" it returns nullptr.

It should take "/", "<root>" or some other notation to mean the system module.

TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001290)
andras (administrator)
2017-02-01 15:09

"<root>" is now accepted to mean the system module.

- Issue History
Date Modified Username Field Change
2015-09-14 12:03 andras New Issue
2015-10-12 09:28 ammmar1988 Issue cloned: 0000840
2017-02-01 15:09 andras Note Added: 0001290
2017-02-01 15:09 andras Status new => resolved
2017-02-01 15:09 andras Fixed in Version => 5.1pre3
2017-02-01 15:09 andras Resolution open => fixed
2017-02-01 15:09 andras Assigned To => andras


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker